Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class ExtendedDataTableRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.RendererBase
              org.richfaces.renderkit.AbstractRowsRenderer
                  org.richfaces.renderkit.SortingFilteringRowsRenderer
                      org.richfaces.renderkit.SelectionRenderer
                          org.richfaces.renderkit.ExtendedDataTableRenderer

All Implemented Interfaces:
  org.ajax4jsf.model.DataVisitor, org.richfaces.renderkit.MetaComponentRenderer

    public class ExtendedDataTableRenderer

extends SelectionRenderer
implements org.richfaces.renderkit.MetaComponentRenderer

Author:
  Konstantin Mishin

Constructor Summary
`ExtendedDataTableRenderer()`

Method Summary
`void` | `consumeTableState(javax.faces.context.FacesContext facesContext, UIDataTableBase table, ExtendedDataTableState tableState)`
`org.richfaces.renderkit.ExtendedDataTableRenderer.RendererState` | `createRowHolder(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, Object[] options)`
`void` | `decodeMetaComponent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String metaComponentId)`
`protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom decoding of concrete renderer.
`protected void` | `doEncodeBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom start encoding of concrete renderer.
`protected void` | `doEncodeChildren(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom finish encoding of concrete renderer.
`void` | `encodeBody(org.richfaces.renderkit.ExtendedDataTableRenderer.RendererState state)`
`void` | `encodeFooter(org.richfaces.renderkit.ExtendedDataTableRenderer.RendererState state)`
`void` | `encodeHeader(org.richfaces.renderkit.ExtendedDataTableRenderer.RendererState state)`
`void` | `encodeMetaComponent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String metaComponentId)`
`void` | `encodeRow(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext facesContext, RowHolderBase rowHolder)`
`protected Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()` Get base component slass , targetted for this renderer.
`protected String` | `getCSSText(javax.faces.context.FacesContext context, UIDataTableBase table)`

Methods inherited from class org.richfaces.renderkit.SelectionRenderer
`encodeSelectionInput`

Methods inherited from class org.richfaces.renderkit.SortingFilteringRowsRenderer
`decodeFiltering, decodeSorting, decodeSortingFiltering, updateAttribute`

Methods inherited from class org.richfaces.renderkit.AbstractRowsRenderer
`doCleanup, encodeFakeRow, encodeRows, get, getColumnClass, getColumnClasses, getRendersChildren, getRowClass, getRowClassAttribute, getRowClasses, process, processRows, put, renderRowHandlers`

Methods inherited from class org.richfaces.renderkit.RendererBase
`concatClasses, concatStyles, decode, encodeBegin, encodeChildren, encodeEnd, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedDataTableRenderer

    public ExtendedDataTableRenderer()

Method Detail

### encodeHeader

    public void encodeHeader(org.richfaces.renderkit.ExtendedDataTableRenderer.RendererState state)
                      throws IOException

  Throws:
    `IOException`

### encodeBody

    public void encodeBody(org.richfaces.renderkit.ExtendedDataTableRenderer.RendererState state)
                    throws IOException

  Throws:
    `IOException`

### encodeFooter

    public void encodeFooter(org.richfaces.renderkit.ExtendedDataTableRenderer.RendererState state)
                      throws IOException

  Throws:
    `IOException`

### getComponentClass

    protected Class<? extends javax.faces.component.UIComponent> getComponentClass()

  Description copied from class: `RendererBase`
  Get base component slass , targetted for this renderer. Used for check arguments in decode/encode.

  Overrides:
    `getComponentClass` in class `RendererBase`
  Returns:

### encodeMetaComponent

    public void encodeMetaComponent(javax.faces.context.FacesContext context,
                                    javax.faces.component.UIComponent component,
                                    String metaComponentId)
                             throws IOException

  Specified by:
    `encodeMetaComponent` in interface `org.richfaces.renderkit.MetaComponentRenderer`
  Throws:
    `IOException`

### decodeMetaComponent

    public void decodeMetaComponent(javax.faces.context.FacesContext context,
                                    javax.faces.component.UIComponent component,
                                    String metaComponentId)

  Specified by:
    `decodeMetaComponent` in interface `org.richfaces.renderkit.MetaComponentRenderer`

### doEncodeBegin

    protected void doEncodeBegin(javax.faces.context.ResponseWriter writer,
                                 javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component)
                          throws IOException

  Description copied from class: `RendererBase`
  Template method for custom start encoding of concrete renderer. All parameters checking and writer is performed in original `encodeBegin` method.

  Overrides:
    `doEncodeBegin` in class `RendererBase`
  Throws:
    `IOException`

### createRowHolder

    public org.richfaces.renderkit.ExtendedDataTableRenderer.RendererState createRowHolder(javax.faces.context.FacesContext context,
                                                                                           javax.faces.component.UIComponent component,
                                                                                           Object[] options)

  Specified by:
    `createRowHolder` in class `AbstractRowsRenderer`

### doEncodeChildren

    protected void doEncodeChildren(javax.faces.context.ResponseWriter writer,
                                    javax.faces.context.FacesContext context,
                                    javax.faces.component.UIComponent component)
                             throws IOException

  Overrides:
    `doEncodeChildren` in class `AbstractRowsRenderer`
  Throws:
    `IOException`

### doEncodeEnd

    protected void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                               javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                        throws IOException

  Description copied from class: `RendererBase`
  Template method for custom finish encoding of concrete renderer. All parameters checking and writer is performed in original `encodeEnd` method.

  Overrides:
    `doEncodeEnd` in class `RendererBase`
  Throws:
    `IOException`

### getCSSText

    protected String getCSSText(javax.faces.context.FacesContext context,
                                UIDataTableBase table)
                         throws IOException

  Throws:
    `IOException`

### encodeRow

    public void encodeRow(javax.faces.context.ResponseWriter writer,
                          javax.faces.context.FacesContext facesContext,
                          RowHolderBase rowHolder)
                   throws IOException

  Specified by:
    `encodeRow` in class `AbstractRowsRenderer`
  Throws:
    `IOException`

### doDecode

    protected void doDecode(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)

  Description copied from class: `RendererBase`
  Template method for custom decoding of concrete renderer. All parameters checking if performed in original `decode` method.

  Overrides:
    `doDecode` in class `SelectionRenderer`

### consumeTableState

    public void consumeTableState(javax.faces.context.FacesContext facesContext,
                                  UIDataTableBase table,
                                  ExtendedDataTableState tableState)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.